
*----------PANEL ANALYSIS (must run Monarch-level moduel and Region-year modules separately after fresh run of panel-first-collapse)----------------------------------------------------------------------------------------------------


*----------Monarch level module---------------

sort nuts year
drop if kingname[_n-1]==kingname &regnalnum[_n-1]==regnalnum &mainpolity[_n-1]==mainpolity
collapse (mean) woman leg* lost* ac*, by ( kingname regnalnumber  mainpolity year)

sort mainpolity year
gen pred_sons=.
replace pred_sons=legitimateboys[_n-1] if mainpolity[_n-1]==mainpolity

*Table 3, column (3)
logit accession_coup pred_sons


*----------Region-year Module-------------------


encode nuts, gen (num_nuts)
drop if year2!=.
tsset num_nuts year
sort nuts year
gen lagged_boys =boysalivelostpower[_n-1]
gen lagged_heirs =boysalivelostpower[_n-1]+brothers_alive[_n-1]
sort nuts year
gen runningav= legitimateboys[_n-1]+  legitimateboys[_n-2]+  legitimateboys[_n-3]+  legitimateboys[_n-4]+  legitimateboys[_n-5]+  legitimateboys[_n-6]+  legitimateboys[_n-7]+  legitimateboys[_n-8]+  legitimateboys[_n-9] +  legitimateboys[_n-10]+  legitimateboys[_n-11]+  legitimateboys[_n-12]+  legitimateboys[_n-13]+  legitimateboys[_n-1]+  legitimateboys[_n-1]+  legitimateboys[_n-1]+  legitimateboys[_n-14]+  legitimateboys[_n-15]+  legitimateboys[_n-16]+  legitimateboys[_n-17]+  legitimateboys[_n-18]+  legitimateboys[_n-19]+  legitimateboys[_n-20]+  legitimateboys[_n-21]+  legitimateboys[_n-22]+  legitimateboys[_n-23]+  legitimateboys[_n-24]+  legitimateboys[_n-25]
replace runningav=. if nuts[_n-25]!=nuts

tostring year, gen(yearstring)
replace yearstring = substr(yearstring,1,length(yearstring)-1)
destring yearstring, gen (decade)

*Table 3, column (4)
xtlogit war lagged_boys i.decade, fe


*footnote 31 first estimates
xtlogit realwar lagged_boys i.decade , fe

*footnote 31 second estimates
gen predecessorson=predecessormature +predecessorimmature
recode predecessorson (2=1)
xtlogit war predecessorson i.decade, fe

*footnote 31 third estimates
xtlogit war predecessormature i.decade  , fe
xtlogit war predecessormature i.decade if predecessorson==1 , fe
 
*Section 6.4 panel analysis for primogentiture adoption
sort num_nuts year
gen lagged_primo=l.selection_primo
xtreg selection_primo legitimateboys l.selection_primo i.decade if cleansed==0, fe
xtreg selection_primo legitimateboys l.selection_primo i.decade if cleansed==0, fe vce(cluster num_nuts)








