cd  "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Replication"

clear

insheet using MonarchsRA.csv, comma

* Generating dummies for decision to have additional children
generate child1 = 0 if child1born==.&child1died==.
replace child1 = 1 if child1born!=.|child1died!=.
generate child2 = 0 if child2born==.&child2died==.
replace child2 = 1 if child2born!=.|child2died!=.
generate child3 = 0 if child3born==.&child3died==.
replace child3 = 1 if child3born!=.|child3died!=.
generate child4 = 0 if child4born==.&child4died==.
replace child4 = 1 if child4born!=.|child4died!=.
generate child5 = 0 if child5born==.&child5died==.
replace child5 = 1 if child5born!=.|child5died!=.
generate child6 = 0 if child6born==.&child6died==.
replace child6 = 1 if child6born!=. |child6died!=.
generate child7 = 0 if child7born==.&child7died==.
replace child7 = 1 if child7born!=. |child7died!=.

* Filling in Child*boy variables with 0 value for girls
replace child1boy=0 if child1boy==.&child1!=0
replace child2boy=0 if child2boy==.&child2!=0
replace child3boy=0 if child3boy==.&child3!=0
replace child4boy=0 if child4boy==.&child4!=0
replace child5boy=0 if child5boy==.&child5!=0
replace child6boy=0 if child6boy==.&child6!=0
replace child7boy=0 if child7boy==.&child7!=0

* Generating percentage of boys with each additional child
generate pcmale_1st = child1boy/1 if child1!=.
generate pcmale_2nd = (child1boy+child2boy)/2 if child2!=.
generate pcmale_3rd = (child1boy+child2boy+child3boy)/3 if child3!=.
generate pcmale_4th = (child1boy+child2boy+child3boy+child4boy)/4 if child4!=.
generate pcmale_5th = (child1boy+child2boy+child3boy+child4boy+child5boy)/5 if child5!=.
generate pcmale_6th = (child1boy+child2boy+child3boy+child4boy+child5boy+child6boy)/6 if child6!=.
generate pcmale_7th = (child1boy+child2boy+child3boy+child4boy+child5boy+child6boy+child7boy)/7 if child7!=.

* Regressions of pct_male 
logit child2 pcmale_1st
logit child3 pcmale_2nd
logit child4 pcmale_3rd
logit child5 pcmale_4th
logit child6 pcmale_5th
logit child7 pcmale_6th

